FreeMat

- Main Page
- Related Pages

vtkGenericMovieWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkGenericMovieWriter is the abstract base class for several movie writers. The input type is a vtkImageData. The Start() method will open and create the file, the Write() method will output a frame to the file (i.e. the contents of the vtkImageData), End() will finalize and close the file.

To create an instance of class vtkGenericMovieWriter, simply invoke its constructor as follows

      obj = vtkGenericMovieWriter

# Methods

The class vtkGenericMovieWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGenericMovieWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGenericMovieWriter = obj.NewInstance ()`
- `vtkGenericMovieWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkImageData input)` - Set/Get the input object from the image pipeline.
- `vtkImageData = obj.GetInput ()` - Set/Get the input object from the image pipeline.
- `obj.SetFileName (string )` - Specify file name of avi file.
- `string = obj.GetFileName ()` - Specify file name of avi file.
- `obj.Start ()` - These methods start writing an Movie file, write a frame to the file and then end the writing process.
- `obj.Write ()` - These methods start writing an Movie file, write a frame to the file and then end the writing process.
- `obj.End ()` - These methods start writing an Movie file, write a frame to the file and then end the writing process.
- `int = obj.GetError ()` - Was there an error on the last write performed?